uniform float timer;
vec4 Process(vec4 color)
{
	vec2 texCoord = gl_TexCoord[0].st;
	vec4 orgColor = getTexel(texCoord) * color;
	float wea = pixelpos.y;
	float cp = (sin(wea/8-timer*6));
	vec2 fragCoord = gl_FragCoord.xy*0.5;

	// polkadot alpha
	float cpd = 1.0;//float(int(fragCoord.x)%1 == 0 &&  int(fragCoord.y)%2 == 0);
	cp = clamp((cp*cpd)-0.2, 0.0, 1.0)*0.5;

	// RGB color of glow, components from 0.0 to 1.0.
	vec3 glowColor = vec3(0.25, 0.75, 2) + orgColor.rgb;
	vec3 dkColor = orgColor.rgb;

	return vec4(mix(dkColor, glowColor, cp*cpd), orgColor.a);
}